/* PRC.h */
/* */
/* Data structures, constants, macros and prototypes used by PRC.c and the */
/* callers of the functions it contains. */
/* */
/* Author: Darrin Massena (darrin@massena.com) */
/* Date: 6/24/96 */

/* 11/05/99  Bodo Wenzel  changed to ANSI-C style */
/*                        removed warnings */
/*                        allow both endianesses */

#ifndef __PRC_H__
#define __PRC_H__

typedef unsigned char byte;     /* b */
typedef unsigned short ushort;  /* us */
typedef unsigned long ulong;    /* ul */
typedef int bool;               /* f */
typedef ulong FourCC;           /* fc */

#ifndef FALSE
    #define FALSE	((bool)0)
#endif

#ifndef TRUE
    #define TRUE	(!FALSE)
#endif

#ifndef NULL
    #define NULL	((void *)0)
#endif


typedef struct _ResourceMapEntry { /* rme */
    FourCC fcType;
    ushort usId;
    byte *pbData;
    ulong cbData;
} ResourceMapEntry;

extern FourCC gfcAppId;

bool AddResource(FourCC fcType, ushort usId, byte *pbData, ulong cbData,
                 bool fHead);
long WritePrc(char *pszFileName, char *pszAppName, byte *pbCode, long cbCode,
              byte *pbData, long cbData);

FourCC C4Load(const char *cpBuf);

#endif /* ndef __PRC_H__ */
